[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TSpeedButtonActionLink.SetGroupIndex

Sets the group index for the speed button in the action link.

## Declaration

Source position: buttons.pp line 311

`protected procedure TSpeedButtonActionLink.SetGroupIndex(`
`Value: Integer`
`); override;`

## Arguments

`Value` |  | New value for the group index in the linked speed button.

## Description

SetGroupIndex is an overridden method in TSpeedButtonActionLink. It implements the empty virtual method from the ancestor class. SetGroupIndex call IsGroupIndexLinked to determine if the action link has an assigned speed button instance. When assigned, the GroupIndex property in the client control is set to Value.

SetGroupIndex is called when a TCustomAction instance notifies each of its client controls of a new value for the group index property in the class instance.

## See also

TCustomAction.GroupIndex |  | GroupIndex- Index of the action within its group.
TCustomActionList |  | TCustomActionList - the ancestor class for TActionList.